## postfix 0.0.19991231pl11

=== Makefile ===
# Usage: 
#	make makefiles [CC=compiler] [OPT=compiler-flags] [DEBUG=debug-flags]
#
# The defaults are: CC=gcc, OPT=-O, and DEBUG=-g. Examples:
#
#	make makefiles
#	make makefiles CC="purify cc"
#	make makefiles CC=cc OPT=
#
SHELL	= /bin/sh

default: update

update depend printfck clean tidy depend_update: Makefiles
	$(MAKE) $@ MAKELEVEL=

makefiles Makefiles:
	$(MAKE) -f Makefile.in Makefiles MAKELEVEL=

## postfix 2.11.3

=== debian/changelog ===
postfix (2.11.3-1+deb8u3) jessie-security; urgency=high

  [Bastien Roucaries]
  
  * Non-maintainer upload by ELTS team
  * Switch to dpkg-source 3.0 (quilt) format
  * Allow to build with backported kernel
  * Fix my hostname handling with fqdn ending with . (dot)

  [Wietse Venema]

  * Fix CVE-2023-51764: Postfix allowed SMTP smuggling
    unless configured with
    smtpd_data_restrictions=reject_unauth_pipelining and
    smtpd_discard_ehlo_keywords=chunking.
    Remote attackers can use a published exploitation technique
    to inject e-mail messages with a spoofed MAIL FROM address,
    allowing bypass of an SPF protection mechanism.

 -- Bastien Roucariès <rouca@debian.org>  Sun, 28 Jan 2024 22:55:33 +0000

postfix (2.11.3-1+deb8u2) stable; urgency=medium

  * Add fixes in makedefs to recognize Linux 4 as the LINUX3 system type so
    the package will build with both jessie and jessie-bpo/stretch kernels

 -- Scott Kitterman <scott@kitterman.com>  Sat, 29 Apr 2017 11:38:28 -0400

postfix (2.11.3-1+deb8u1) stable; urgency=medium

  * Add delmap to .prerm for all packages that contain map data types exposed
    through external .so files so that upgrades to stretch (where the
    associated files have moved) will be functional (Closes: #859805)

 -- Scott Kitterman <scott@kitterman.com>  Mon, 24 Apr 2017 13:15:36 -0400

postfix (2.11.3-1) unstable; urgency=medium

  [Wietse Venema]

  * New upstream release: 2.11.3

 -- LaMont Jones <lamont@debian.org>  Mon, 20 Oct 2014 17:11:58 -0600

postfix (2.11.2-1) unstable; urgency=medium

  [Wietse Venema]

  * 2.11.2

 -- LaMont Jones <lamont@debian.org>  Fri, 17 Oct 2014 11:43:32 -0600

postfix (2.11.1-1) unstable; urgency=medium

  [LaMont Jones]

  * fix usage of LIBLIST in init.d.  Closes: #733123

  [Tanguy Ortolo]

  * copy /etc/host.conf to the chroot

  [Guilhem Moulin]

  * Build dict_ldap.so with SASL binding enabled.  Closes: #730848

  [Joey Hess]

  * Fix short description in init script.  Closes: #738314

  [Jonathan Hall]

  * Better myhostname default handling.  Closes: #214741

  [Wietse Venema]

  * New Upstream release.  Closes: #750485

 -- LaMont Jones <lamont@debian.org>  Sat, 07 Jun 2014 08:48:54 +0100

postfix (2.11.0-1) unstable; urgency=low

  [Wietse Venema]

  * New upstream release: 2.11.0

  [localization folks]

  * l10n: Updated German translations.  Closes: #734893 (Helge Kreutzmann)

 -- LaMont Jones <lamont@debian.org>  Tue, 11 Feb 2014 07:44:30 -0700

postfix (2.10.2-1) unstable; urgency=low

  [Wietse Venema]

  * New upstream release

  [LaMont Jones]

  * drop bad diffs from review
  * python 2to3 migration for apport.  LP: #1222180

 -- LaMont Jones <lamont@debian.org>  Sun, 08 Sep 2013 19:24:46 -0600

postfix (2.10.1-2) unstable; urgency=low

  * Actually include upstream 2.10.1.  Closes: #721150

 -- LaMont Jones <lamont@debian.org>  Wed, 28 Aug 2013 10:25:36 -0600

postfix (2.10.1-1) unstable; urgency=low

  [LaMont Jones]

  * Merge ubuntu changes

  [Yolanda]

  * d/tests: added dep-8-tests
  * debian/tests/test-postfix.py: rewrite in pexpect to avoid python error

  [Wietse Venema]

  * 2.10.1

  [localization folks]

  * l10n: Updated German debconf translations.  Closes: #703887 (Chris Leick)
  * l10n: Updated Polish debconf translations.  Closes: #703929 (Michał
    Kułach)
  * l10n: updated Slovak debconf tranlations.  Closes: #709107 (Ivan Masár)
  * l10n: Updated Portuguese debconf translation.  Closes: #703776 (Miguel
    Figueiredo)
  * l10n: Updated Danish debconf tranlations.  Closes: #704016 (Joe Hansen)
  * l10n: Updated Turkish debconf translations.  Closes: #703871 (Atila KOÇ)
  * l10n: Updated Italian debconf translations. (Cristian Rigamonti)

 -- LaMont Jones <lamont@debian.org>  Mon, 26 Aug 2013 19:10:31 -0600

postfix (2.10.0-3ubuntu2) saucy; urgency=low

  * debian/tests/test-postfix.py: rewrite in pexpect to avoid python error

 -- Yolanda <yolanda.robla@canonical.com>  Mon, 27 May 2013 11:40:07 +0200

postfix (2.10.0-3ubuntu1) saucy; urgency=low

  * d/tests: added dep-8-tests

 -- Yolanda <yolanda.robla@canonical.com>  Tue, 07 May 2013 23:34:04 +0200

postfix (2.10.0-3) unstable; urgency=low

  [LaMont Jones]

  * Set smtpd_relay_restrictions in the correct place.  LP: #1156223

  [localization folks]

  * l10n: updated Indonesian debconf translations.  Closes: #703225 (T. Surya
    Fajri)
  * l10n: Updated Russian debconf translations.  Closes: #703590 (Sergey
    Alyoshin)
  * l10n: updated Japanese debconf translations.  Closes: #703168 (Kenshi Muto)
  * l10n: updated Basque translation.  Closes: #703316 (Dooteo)
  * l10n: Updated Swedish debconf translations.  Closes: #703397 (Martin Bagge)
  * l10n: Updated Czech debconf translations.  Closes: #703537 (Miroslav Kure)
  * l10n: Updated Brazilian Portuguese debconf templates.  Closes: #703471
    (Marcelo Santana)
  * l10n: Updated French debconf translations.  Closes: #703449 (Christian
    Perrier)

 -- LaMont Jones <lamont@debian.org>  Fri, 22 Mar 2013 10:30:29 -0600

postfix (2.10.0-2) unstable; urgency=low

  * Correctly set smtpd_relay_restrictions on upgrade to 2.10.0.
    Closes: #702374

 -- LaMont Jones <lamont@debian.org>  Thu, 14 Mar 2013 08:15:51 -0600

postfix (2.10.0-1) unstable; urgency=low

  [Wietse Venema]

  * New upstream version

  [LaMont Jones]

  * Fix fumbled merge to actually have the right maintainer address. 
    Closes: #699877
  * Fix how we copy $smtp_tls_CApath into the chroot.  LP: #1139159

 -- LaMont Jones <lamont@debian.org>  Mon, 04 Mar 2013 09:03:31 -0700

postfix (2.9.6-1) unstable; urgency=low

  [Wietse Venema]

  * New upstream version

  [Scott Kitterman]

  * reacquire NIS authentication, include libresolv in chroot.  Closes: #683687

  [LaMont Jones]

  * Drop bashism in init.d script.  Closes: #690936

 -- LaMont Jones <lamont@debian.org>  Tue, 05 Feb 2013 17:11:41 -0700

postfix (2.9.5-1ubuntu1) raring; urgency=low

  * Merge from Debian unstable.  Remaining changes:


=== debian/control ===
Source: postfix
Section: mail
Priority: extra
Maintainer: LaMont Jones <lamont@debian.org>
Standards-Version: 3.9.1.0
Homepage: http://www.postfix.org
Build-Depends: debhelper (>= 7), po-debconf (>= 0.5.0), groff-base, patch, lsb-release, libdb-dev (>=4.6.19), libldap2-dev (>=2.1), libpcre3-dev, libmysqlclient-dev|libmysqlclient15-dev|libmysqlclient14-dev, libssl-dev (>=0.9.7), libsasl2-dev, libpq-dev, libcdb-dev, hardening-wrapper, dpkg-dev (>= 1.15.5), libsqlite3-dev
Vcs-Browser: http://git.debian.org/?p=users/lamont/postfix.git
Vcs-Git: git://git.debian.org/~lamont/postfix.git
XS-Testsuite: autopkgtest

Package: postfix
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, netbase, adduser (>=3.48), dpkg (>= 1.8.3), lsb-base (>=3.0-6), ssl-cert, cpio
Replaces: mail-transport-agent
Recommends: python
Suggests: procmail, postfix-mysql, postfix-pgsql, postfix-ldap, postfix-pcre, sasl2-bin, libsasl2-modules, dovecot-common, resolvconf, postfix-cdb, mail-reader, ufw, postfix-doc
Conflicts: mail-transport-agent, smail, libnss-db (<< 2.2-3)
Provides: mail-transport-agent, ${postfix:Provides}
Description: High-performance mail transport agent
 ${Description}

Package: postfix-ldap
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, postfix (= ${binary:Version})
Description: LDAP map support for Postfix
 ${Description}
 .
 This provides support for LDAP maps in Postfix. If you plan to use LDAP maps
 with Postfix, you need this.

Package: postfix-cdb
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, postfix (= ${binary:Version})
Description: CDB map support for Postfix
 ${Description}
 .
 This provides support for CDB (constant database) maps in Postfix. If you
 plan to use CDB maps with Postfix, you need this.

Package: postfix-pcre
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, postfix (= ${binary:Version})
Description: PCRE map support for Postfix
 ${Description}
 .
 This provides support for PCRE (perl compatible regular expression) maps in
 Postfix. If you plan to use PCRE maps with Postfix, you need this.

Package: postfix-mysql
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, postfix (= ${binary:Version})
Description: MySQL map support for Postfix
 ${Description}
 .
 This provides support for MySQL maps in Postfix. If you plan to use MySQL
 maps with Postfix, you need this.

Package: postfix-pgsql
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, postfix (= ${binary:Version})
Description: PostgreSQL map support for Postfix
 ${Description}
 .
 This provides support for PostgreSQL maps in Postfix. If you plan to use
 PostgreSQL maps with Postfix, you need this.

Package: postfix-dev
Architecture: all
Section: devel
Depends: ${misc:Depends}, postfix (>= ${Upstream}-0), postfix (<< ${Upstream}.0-0)
Description: Loadable modules development environment for Postfix
 ${Description}
 .
 This provides the headers and library links to build additional map
 types for Postfix. If you're not developing postfix modules, then you
 do not need this.

Package: postfix-doc
Architecture: all
Section: doc
Suggests: postfix
Depends: ${misc:Depends}
Description: Documentation for Postfix
 ${Description}
 .
 This package provides the documentation for Postfix.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Debianrules for building a Debian package
# Version 1.5
#
# These rules have been specifically designed NOT to require root to
# run them. At any time root privileges are required, the command to be
# executed will be made obvious and root's password will be prompted for.
# Of course, root may still run this and no password will be required.
#
# Robert Leslie <rob@mars.org>
# modified for Postfix by LaMont Jones <lamont@debian.org>

PACKAGE=postfix
DISTRO:=$(shell (lsb_release -is 2>/dev/null || echo Debian) | sed s:Debian:Debian/GNU:)

export DEB_BUILD_HARDENING=1

package=postfix
base=debian/$(package)
docpkg=${package}-doc
docdir=${base}-doc/usr/share/doc/$(package)
chlogdir=${base}/usr/share/doc/$(package)
sharedir=${base}/usr/share/postfix
libdir=${base}/usr/lib
plibdir=usr/lib/postfix
sbindir=usr/sbin
bindir=${base}/usr/bin
confdir=${base}/etc/postfix

#ifeq ($(DEB_BUILD_ARCH),sparc)
#  OFLAGS = -O1
#else
#  OFLAGS = -O1
#endif

OFLAGS = -O2
SHELL=/bin/bash

ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
DEBUG = -g
endif

ifneq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
STRIP=y
endif

CCARGS=-DDEBIAN -DMAX_DYNAMIC_MAPS -DHAS_PCRE -DHAS_LDAP -DUSE_LDAP_SASL \
	-DHAS_SQLITE -DMYORIGIN_FROM_FILE \
	$(shell getconf LFS_CFLAGS) \
	-DHAS_CDB \
	-DHAS_MYSQL -I/usr/include/mysql \
	-DHAS_PGSQL -I`pg_config --includedir` \
	-DHAS_SQLITE -I/usr/include \
	-DHAS_SSL -I/usr/include/openssl \
	-DUSE_SASL_AUTH -I/usr/include/sasl \
	-DUSE_CYRUS_SASL \
	-DUSE_TLS

AUXLIBS =-lssl -lcrypto -lsasl2 -lpthread

DOCFILES=README_FILES/*_README COMPATIBILITY TODO PORTING
TLSDOCFILES=${TLSSRC}/TLS_TODO ${TLSSRC}/TLS_ACKNOWLEDGEMENTS

.PHONY: install install-doc binary binary-arch binary-indep clean
.PHONY: checkroot

build:
	$(checkdir)
	${MAKE} makefiles CCARGS="${CCARGS}" DEBUG=${DEBUG} \
		AUXLIBS="${AUXLIBS} -L$$(pwd)/debian" OPT="$(OFLAGS)"
	cd lib && for i in dns global master tls util ; do \
		ln -sf lib$${i}.a libpostfix-$${i}.so.1.0.1; \
		ln -sf libpostfix-$${i}.so.1.0.1 libpostfix-$${i}.so.1; \
	done
	${MAKE} LD_LIBRARY_PATH=$$(pwd)/lib:$${LD_LIBRARY_PATH}
	${MAKE} manpages
	sed "s:@@DISTRO@@:$(DISTRO):g" < debian/main.cf.in > conf/main.cf.debian
	sed "s:@@DISTRO@@:$(DISTRO):g" < conf/main.cf > conf/main.cf.dist
	touch $@

install-doc: build
	dh_prep
	dh_installdirs -i
	install -m 0444 html/* $(docdir)/html; rm $(docdir)/html/Makefile.in
	dh_installexamples -p ${docpkg} examples/{qmail-local,smtpd-policy}
	dh_installexamples -p ${docpkg} -Xmain.cf -Xmaster.cf -Xfiles conf/[a-z]*
	dh_installexamples -p ${docpkg} conf/main.cf.default debian/mailqfmt.pl
	install -m 0444 RELEASE_NOTES $(docdir)/RELEASE_NOTES
	install -m 0444 AAAREADME $(docdir)/README
	for file in */README; do \
	    install -m 0444 $${file} $(docdir)/README.$${file%/README}; \
	done
	rm -f $(docdir)/README.mantools
	for file in ${DOCFILES}; do					\
		install -m 0444 $${file} $(docdir)/$${file##*/};	\
	done
	rm -f $(docdir)/ULTRIX_README $(docdir)/MACOSX_README

	install -m 0444 include/[!CRS]* ${base}-dev/usr/include/postfix
	cd lib; for i in libpostfix-*; do \
		ln -sf $$i ../${base}-dev/usr/lib/$${i%so.*}so; \
	done

install: build
	dh_prep
	dh_installdirs -a
	install lib/*.1.0.1 $(libdir)
	install debian/postfix_groups.pl $(libdir)
	for i in $(libdir)/*.1.0.1; do ln -sf $${i##*/} $${i%.*.*}; done
	install lib/dict_ldap.so ${base}-ldap/${plibdir}
	install lib/dict_pcre.so ${base}-pcre/${plibdir}
	install lib/dict_mysql.so ${base}-mysql/${plibdir}
	install lib/dict_pgsql.so ${base}-pgsql/${plibdir}
	install lib/dict_sqlite.so ${base}/${plibdir}
	install lib/dict_tcp.so ${base}/${plibdir}
	install lib/dict_cdb.so ${base}-cdb/${plibdir}
	install libexec/[a-z]* ${base}/${plibdir}
	install bin/[a-z]* ${base}/${sbindir}
	install debian/postfix-add-filter ${base}/${sbindir}
	install debian/postfix-add-policy ${base}/${sbindir}
	install auxiliary/qshape/qshape.pl ${base}/${sbindir}/qshape
	install -m 0444 HISTORY $(chlogdir)/changelog
	ln -s ../sbin/rmail $(bindir)/rmail
	ln -s ../sbin/sendmail $(bindir)/newaliases
	ln -s ../sbin/sendmail $(bindir)/mailq
	ln -s ../sbin/sendmail ${base}/usr/lib/sendmail
	ln -s smtp ${base}/${plibdir}/lmtp
	install -m 0755 conf/postfix-script conf/post-install $(confdir)
	install -m 0644 conf/postfix-files $(confdir)
	install -m 0644 debian/functions $(sharedir)/postinst.functions
	install -m 0644 conf/master.cf $(sharedir)/master.cf.dist
	install -m 0644 conf/main.cf.dist $(sharedir)/main.cf.dist
	install -m 0644 conf/main.cf.debian $(sharedir)/main.cf.debian
	install -m 0644 conf/main.cf.tls $(sharedir)/main.cf.tls
	install -m644 debian/postfix.ufw.profile debian/postfix/etc/ufw/applications.d/postfix
	install -m644 debian/rsyslog.conf debian/postfix/etc/rsyslog.d/postfix.conf
	install -m644 debian/postfix.insserv.conf debian/postfix/etc/insserv.conf.d/postfix

	install man/man1/*.1 ${base}/usr/share/man/man1
	install man/man5/*.5 ${base}/usr/share/man/man5
	for f in man/man8/*.8; do \
	  sed '/^\.TH/s/ 8 / 8postfix /' $${f}>${base}/usr/share/$${f}postfix; \
	  chmod 644 ${base}/usr/share/$${f}postfix; \
	  chown root:root ${base}/usr/share/$${f}postfix; \
	done
	install rmail/rmail.8 debian/*.8 ${base}/usr/share/man/man8
	gzip -9 ${base}/usr/share/man/man8/*.8postfix
	ln -sf bounce.8postfix.gz ${base}/usr/share/man/man8/trace.8postfix.gz
	ln -sf bounce.8postfix.gz ${base}/usr/share/man/man8/defer.8postfix.gz

	install debian/init.d ${base}/etc/init.d/postfix
	install debian/ip-up.d ${base}/etc/ppp/ip-up.d/postfix
	install debian/ip-down.d ${base}/etc/ppp/ip-down.d/postfix
	install debian/ip-up.d ${base}/etc/network/if-up.d/postfix
	install debian/ip-down.d ${base}/etc/network/if-down.d/postfix
	install debian/update-libc.d ${base}/etc/resolvconf/update-libc.d/postfix
	install -m 0444 debian/lintian-override ${base}/usr/share/lintian/overrides/${package}

	if dpkg-vendor --is ubuntu; then \
	    install -m 644 -D debian/postfix.apport ${base}/usr/share/apport/package-hooks/postfix.py; \
	fi

debian/vars:
	cp debian/vars.in $@
	# This assumes non-native, and at least one hyphen in the version number.
	echo Upstream=$$(sed 's/^.*(\(.*\)-[^-]*).*/\1/; q' debian/changelog) >> $@

binary-indep: checkroot install-doc debian/vars
	dh_installdocs -i
##	dh_installexamples -i
##	dh_installmenu -i
##	dh_installcron -i
	dh_installchangelogs -i
	dh_installdebconf -i
	dh_compress -i
	dh_fixperms -i
	dh_installdeb -i
	for i in $$(sed -n '/^Package:/s/^.* //p' debian/control); do cat debian/vars >> debian/$$i.substvars; done
	cat debian/vars.in >> debian/substvars
	dh_gencontrol -i
##	dh_makeshlibs -i
	dh_md5sums -i
	dh_builddeb -i

binary-arch: checkroot build install debian/vars

	dh_installdocs -a
##	dh_installexamples -a
##	dh_installmenu -a
##	dh_installcron -a
	dh_installchangelogs -a
	dh_installdebconf -a
##	dh_movefiles -a
	[ -n "$(STRIP)" ] || dh_strip -a
	dh_compress -a
	dh_fixperms -a
	dh_makeshlibs -a
	dh_installdeb -a
	LD_LIBRARY_PATH=$$(pwd)/lib:$${LD_LIBRARY_PATH} dh_shlibdeps -a
	for i in $$(sed -n '/^Package:/s/^.* //p' debian/control); do cat debian/vars >> debian/$$i.substvars; done
	cat debian/vars.in >> debian/substvars
	if [ $(DISTRO) = Ubuntu ]; then echo postfix:Provides=default-mta >> debian/postfix.substvars; fi
	dh_gencontrol -a
##	dh_makeshlibs -a
	dh_md5sums -a
	dh_builddeb -a

clean-preunpatch:
	$(checkdir)
	dh_clean build
	test ! -d ${base} || rm -rf ${base}
	$(MAKE) tidy

clean: clean-preunpatch
	rm -rf debian/{files*,vars,*substvars,*.debhelper}
	find .. -maxdepth 1 -name $(package)*.asc -size 0 -exec rm {} ";"
	rm -f debian/stamp-* conf/main.cf.debian conf/main.cf.dist

buildinfo:
	@echo; dpkg -l gcc "libc6*" binutils ldso make dpkg-dev $(BUILDINFO) \
		| awk '$$1 == "ii" { printf("%s-%s\n", $$2, $$3) }' \
		| tee $(docdir)/buildinfo.Debian; echo
	chmod 644 $(docdir)/buildinfo.Debian

define checkdir
	test -f debian/rules
endef

# Below here is fairly generic really

binary: binary-arch binary-indep

=== debian/tests/control ===
Tests: postfix
Depends: python-unittest2, procmail, sasl2-bin, python-pexpect, lsb-release, libsasl2-modules
Restrictions: needs-root, isolation-container

## postfix 3.1.0

=== debian/changelog ===
postfix (3.1.0-5ubuntu1) yakkety; urgency=medium

  * Use correct service dependencies in postfix@.service, to avoid racing
    systemd-resolved at boot.  LP: #1519331.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 03 Jun 2017 13:00:35 -0700

postfix (3.1.0-5) unstable; urgency=medium

  * Switch back to the new world order for enabling hardening
  * Add relro to 12_add_bind_now_to_pie.diff and rename since relro had gotten
    lost somewhere
  * Update debconf translation templates using debconf-updatepo
  * Drop unused overrides in debian/postfix.lintian-override
  * Drop 15 year old breaks on libnss-db

 -- Scott Kitterman <scott@kitterman.com>  Fri, 29 Jul 2016 11:35:10 -0400

postfix (3.1.0-4) unstable; urgency=medium

  * Remove timestamps gzip headers to make build reproducible
    (Closes: #777503)
  * Update debian/rules to provide separate build-arch/build-indep rules and
    adjust to build arch and indep separately (Closes: #822016)
  * Bump standards version to 3.9.8 without further change
  * When running systemctl reload postfix.service, propagate the reload
    request to all running instances of postfix@.service
  * Edit debian/changelog from NMU to include Dutch localization update that
    was silently included

 -- Scott Kitterman <scott@kitterman.com>  Wed, 20 Jul 2016 17:42:07 -0400

postfix (3.1.0-3.1) unstable; urgency=medium

  [Sophie Brun]

  * Non-maintainer upload.
  * Add systemd integration (Closes: #715188, #755960)
    Thanks to Cameron Norman and Shawn Landden for the initial work.
    The final design looks like this:
    - postfix.service is an empty service file which lets you manage
      all instances together.
    - each instance is controlled by a postfix@instance.service file
    - postfix@instance services are brought into life by a new
      systemd generator (postfix-instance-generator)
    - the usage of "postmulti -p start/stop/reload" in postfix@.service
      ensures that the service is not started if disabled at the
      postmulti level

  [localization folks]

  * l10n: Updated Dutch translations.  Closes: #822886 (Frans Spiesschaert)

 -- Sophie Brun <sophie@freexian.com>  Wed, 15 Jun 2016 09:28:11 +0200

postfix (3.1.0-3) unstable; urgency=medium

  * By default, include $myhostname into $mydestinations.

 -- LaMont Jones <lamont@debian.org>  Wed, 13 Apr 2016 10:21:24 -0600

postfix (3.1.0-2) unstable; urgency=medium

  * cleanup changelog.
  * It's possible that main.cf does not exist at preinst upgrade time.
  * There was a time when the initscript copied in the CA files incorrectly
    and made them directories.  We need to clean up after that bug better.
    Closes: #815906, #815707

 -- LaMont Jones <lamont@debian.org>  Mon, 11 Apr 2016 08:10:55 -0600

postfix (3.1.0-1) unstable; urgency=medium

  [LaMont Jones]

  * Explicitly chroot services that we want chrooted in master.cf on fresh
    installs.
  * Convert defaults as needed for 3.0+ on upgrade to minimize compatibility
    warnings.
  * Build-Depend: libicu-dev for libicuuc, and therefore EAI.  LP: #1561975
    Updating compatibility_level will be done in a future release.

  [Scott Kitterman]

  * Remove .pc file since trying to keep the .pc in a VCS leads to madness.
  * Set debian paths in configure instead of patching src/util/sys_defs.h

  [Steve Beattie]

  * When enabling position independent executables (-pie) to get better
    Address Space Layout Protection, using immediate binding (linking with
    "-z now") gives better protection as well.

  [localization folks]

  * l10n: Updated Japanese debconf translations.  Closes: #816180 (Kenshi Muto)
  * l10n: Updated Italian debconf translations.  Closes: #817149 (Dario)
  * l10n: Updated Basque debconf translations.  Closes: #816079 (Dooteo)
  * l10n: Updated German debconf translations.  Closes: #816092 (Helge
    Kreutzmann)
  * l10n: Updated Portuguese debconf translations.  Closes: #816084 (Traduz)
  * l10n: Updated Czech debconf translations.  Closes: #816408 (Miroslav Kure)
  * l10n: Updated Brazilian Portuguese debconf translations.  Closes: #816274
    (Marcelo Santana)
  * l10n: Updated Brazilian Portuguese debconf translations (Marcelo Santana)
  * l10n: Updated Turkish debconf translations.  Closes: #817019 (Atila KOÇ)
  * l10n: Updated Dutch debconf translations.  Closes: #817032 (Frans
    Spiesschaert)

 -- LaMont Jones <lamont@debian.org>  Sun, 03 Apr 2016 11:54:02 -0600

postfix (3.0.4-5) unstable; urgency=medium

  [LaMont Jones]

  * Cleanup logic in postinst

  [localization folks]

  * l10n: Updated Slovak debconf translations.  Closes: #816052 (helix84)
  * l10n: Updated Indonesian debconf translations. (Surya Fajri)

 -- LaMont Jones <lamont@debian.org>  Sat, 27 Feb 2016 01:33:17 +0000

postfix (3.0.4-4) unstable; urgency=medium

  [LaMont Jones]

  * If main.cf has daemon_directory = /usr/lib/postfix, then fix it or abort
    the install.  Closes: #815047

  [localization folks]

  * l10n: New Brazilian Portuguese debconf translations.  Closes: #815985
    (Marcelo Santana)
  * l10n: Updated Frence debconf templates.  Closes: #816018 (Christian
    Perrier)

 -- LaMont Jones <lamont@debian.org>  Fri, 26 Feb 2016 22:15:25 +0000

postfix (3.0.4-3) unstable; urgency=medium

  [Scott Kitterman]

  * Move libpostfix-*.so.1* to /usr/lib/postfix to match the specified value
    of shlib_directory
  * Set daemon_directory to usr/lib/postfix/sbin to match install location and
    to fix failure to start due to shlib_directory and daemon_directory
    pointing to the same location (Closes: #815047)

 -- LaMont Jones <lamont@debian.org>  Wed, 24 Feb 2016 12:47:38 -0700

postfix (3.0.4-2) unstable; urgency=medium

  [LaMont Jones]

  * For now, use python2.7 for the test suite.  See also launchpad bug 1548594.
  * Better handling for smtp_tls_CAfile.  Closes: #815707

  [localization folks]

  * l10n: Updated German debconf translations.  Closes: #815698 (Helge
    Kreutzmann)


=== debian/control ===
--- 
+++ 
@@ -1,21 +1,23 @@
 Source: postfix
 Section: mail
 Priority: extra
-Maintainer: LaMont Jones <lamont@debian.org>
-Standards-Version: 3.9.1.0
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: LaMont Jones <lamont@debian.org>
+Standards-Version: 3.9.8
 Homepage: http://www.postfix.org
-Build-Depends: debhelper (>= 7), po-debconf (>= 0.5.0), groff-base, patch, lsb-release, libdb-dev (>=4.6.19), libldap2-dev (>=2.1), libpcre3-dev, libmysqlclient-dev|libmysqlclient15-dev|libmysqlclient14-dev, libssl-dev (>=0.9.7), libsasl2-dev, libpq-dev, libcdb-dev, hardening-wrapper, dpkg-dev (>= 1.15.5), libsqlite3-dev
-Vcs-Browser: http://git.debian.org/?p=users/lamont/postfix.git
-Vcs-Git: git://git.debian.org/~lamont/postfix.git
+Build-Depends: debhelper (>= 7), po-debconf (>= 0.5.0), groff-base, patch, lsb-release, libdb-dev (>=4.6.19), libldap2-dev (>=2.1), libpcre3-dev, libmysqlclient-dev, libssl-dev (>=0.9.7), libsasl2-dev, libpq-dev, libcdb-dev, dpkg-dev (>= 1.16.1~), libsqlite3-dev, html2text, libicu-dev, dh-systemd
+Vcs-Browser: https://git.launchpad.net/postfix
+Vcs-Git: git://git.launchpad.net/postfix
+Uploaders: Scott Kitterman <scott@kitterman.com>
 XS-Testsuite: autopkgtest
 
 Package: postfix
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, netbase, adduser (>=3.48), dpkg (>= 1.8.3), lsb-base (>=3.0-6), ssl-cert, cpio
 Replaces: mail-transport-agent
-Recommends: python
+Recommends: python3
 Suggests: procmail, postfix-mysql, postfix-pgsql, postfix-ldap, postfix-pcre, sasl2-bin, libsasl2-modules, dovecot-common, resolvconf, postfix-cdb, mail-reader, ufw, postfix-doc
-Conflicts: mail-transport-agent, smail, libnss-db (<< 2.2-3)
+Conflicts: mail-transport-agent, smail
 Provides: mail-transport-agent, ${postfix:Provides}
 Description: High-performance mail transport agent
  ${Description}

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Debianrules for building a Debian package
# Version 1.5
#
# These rules have been specifically designed NOT to require root to
# run them. At any time root privileges are required, the command to be
# executed will be made obvious and root's password will be prompted for.
# Of course, root may still run this and no password will be required.
#
# Robert Leslie <rob@mars.org>
# modified for Postfix by LaMont Jones <lamont@debian.org>

PACKAGE=postfix
DISTRO:=$(shell (lsb_release -is 2>/dev/null || echo Debian) | sed s:Debian:Debian/GNU:)

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

package=postfix
base=debian/$(package)
docpkg=${package}-doc
docdir=${base}-doc/usr/share/doc/$(package)
chlogdir=${base}/usr/share/doc/$(package)
sharedir=${base}/usr/share/postfix
libdir=${base}/usr/lib/postfix
plibdir=usr/lib/postfix
sbindir=usr/sbin
bindir=${base}/usr/bin
confdir=${base}/etc/postfix

#ifeq ($(DEB_BUILD_ARCH),sparc)
#  OFLAGS = -O1
#else
#  OFLAGS = -O1
#endif

OFLAGS += -O2
SHELL=/bin/bash

ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
DEBUG += -g
endif

ifneq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
STRIP=y
endif

CCARGS += -DDEBIAN -DHAS_PCRE -DHAS_LDAP -DUSE_LDAP_SASL \
	-DHAS_SQLITE -DMYORIGIN_FROM_FILE \
	$(shell getconf LFS_CFLAGS) \
	-DHAS_CDB \
	-DHAS_MYSQL -I/usr/include/mysql \
	-DHAS_PGSQL -I`pg_config --includedir` \
	-DHAS_SQLITE -I/usr/include \
	-DHAS_SSL -I/usr/include/openssl \
	-DUSE_SASL_AUTH -I/usr/include/sasl \
	-DUSE_CYRUS_SASL \
	-DUSE_TLS

AUXLIBS += -lssl -lcrypto -lsasl2 -lpthread

DOCFILES=README_FILES/*_README COMPATIBILITY TODO PORTING
TLSDOCFILES=${TLSSRC}/TLS_TODO ${TLSSRC}/TLS_ACKNOWLEDGEMENTS

.PHONY: install install-doc binary binary-arch binary-indep clean
.PHONY: checkroot build-arch build-indep

build: build-arch build-indep
build-arch:
	$(checkdir)
	${MAKE} makefiles CCARGS="${CCARGS}" DEBUG="${DEBUG}" \
		AUXLIBS="${AUXLIBS} -L$$(pwd)/debian" OPT="$(OFLAGS)" \
		AUXLIBS_CDB="-lcdb -L../../lib -L. -lpostfix-util" \
		AUXLIBS_LDAP="-lldap -llber -L../../lib -L. -lpostfix-util -lpostfix-global" \
		AUXLIBS_MYSQL="-lmysqlclient -L../../lib -L. -lpostfix-util -lpostfix-global" \
		AUXLIBS_PCRE="-lpcre -L../../lib -L. -lpostfix-util" \
		AUXLIBS_PGSQL="-lpq -L../../lib -L. -lpostfix-util -lpostfix-global" \
		AUXLIBS_SQLITE="-lsqlite3 -L../../lib -L. -lpostfix-util -lpostfix-global -lpthread" \
		shared=yes pie=yes dynamicmaps=yes SHLIB_SUFFIX=.so.1.0.1 \
		daemon_directory=${CUR_DIR}/usr/lib/postfix/sbin \
		shlibs_directory=${CUR_DIR}/usr/lib/postfix manpage_directory=/usr/share/man \
		sample_directory=/usr/share/doc/postfix-doc/examples readme_directory=/usr/share/doc/postfix \
		html_directory=/usr/share/doc/postfix/html
	cd lib && for i in dns global master tls util ; do \
		ln -sf libpostfix-$${i}.so.1.0.1 libpostfix-$${i}.so.1; \
		ln -sf libpostfix-$${i}.so.1.0.1 libpostfix-$${i}.so; \
	done
	${MAKE} LD_LIBRARY_PATH=$$(pwd)/lib:$${LD_LIBRARY_PATH}
	${MAKE} manpages
	sed "s:@@DISTRO@@:$(DISTRO):g" < debian/main.cf.in > conf/main.cf.debian
	sed "s:@@DISTRO@@:$(DISTRO):g" < conf/main.cf > conf/main.cf.dist
	touch build

build-indep:
	$(checkdir)
	${MAKE} makefiles CCARGS="${CCARGS}" DEBUG="${DEBUG}" \
		AUXLIBS="${AUXLIBS} -L$$(pwd)/debian" OPT="$(OFLAGS)" \
		AUXLIBS_CDB="-lcdb -L../../lib -L. -lpostfix-util" \
		AUXLIBS_LDAP="-lldap -llber -L../../lib -L. -lpostfix-util -lpostfix-global" \
		AUXLIBS_MYSQL="-lmysqlclient -L../../lib -L. -lpostfix-util -lpostfix-global" \
		AUXLIBS_PCRE="-lpcre -L../../lib -L. -lpostfix-util" \
		AUXLIBS_PGSQL="-lpq -L../../lib -L. -lpostfix-util -lpostfix-global" \
		AUXLIBS_SQLITE="-lsqlite3 -L../../lib -L. -lpostfix-util -lpostfix-global -lpthread" \
		shared=yes pie=yes dynamicmaps=yes SHLIB_SUFFIX=.so.1.0.1 \
		daemon_directory=${CUR_DIR}/usr/lib/postfix/sbin \
		shlibs_directory=${CUR_DIR}/usr/lib/postfix manpage_directory=/usr/share/man \
		sample_directory=/usr/share/doc/postfix-doc/examples readme_directory=/usr/share/doc/postfix \
		html_directory=/usr/share/doc/postfix/html
	cd lib && for i in dns global master tls util ; do \
		ln -sf libpostfix-$${i}.so.1.0.1 libpostfix-$${i}.so.1; \
		ln -sf libpostfix-$${i}.so.1.0.1 libpostfix-$${i}.so; \
	done
	${MAKE} LD_LIBRARY_PATH=$$(pwd)/lib:$${LD_LIBRARY_PATH}
	${MAKE} manpages
	sed "s:@@DISTRO@@:$(DISTRO):g" < debian/main.cf.in > conf/main.cf.debian
	sed "s:@@DISTRO@@:$(DISTRO):g" < conf/main.cf > conf/main.cf.dist
	touch build

install-indep: build-indep
	dh_prep
	dh_installdirs -i
	install -m 0444 html/* $(docdir)/html; rm $(docdir)/html/Makefile.in
	dh_installexamples -p ${docpkg} examples/{qmail-local,smtpd-policy}
	dh_installexamples -p ${docpkg} -Xmain.cf -Xmaster.cf -Xfiles conf/[a-z]*
	dh_installexamples -p ${docpkg} conf/main.cf.default debian/mailqfmt.pl
	install -m 0444 RELEASE_NOTES $(docdir)/RELEASE_NOTES
	install -m 0444 AAAREADME $(docdir)/README
	for file in */README; do \
	    install -m 0444 $${file} $(docdir)/README.$${file%/README}; \
	done
	rm -f $(docdir)/README.mantools
	for file in ${DOCFILES}; do					\
		install -m 0444 $${file} $(docdir)/$${file##*/};	\
	done
	rm -f $(docdir)/ULTRIX_README $(docdir)/MACOSX_README

	install -m 0444 include/[!CRS]* ${base}-dev/usr/include/postfix
	cd lib; for i in libpostfix-*.so.*.*; do \
		ln -sf $$i ../${base}-dev/usr/lib/$${i%so.*}so; \
	done

install-arch: build-arch
	dh_prep
	dh_installdirs -a
	install lib/lib*.1.0.1 $(libdir)
	install debian/postfix_groups.pl $(libdir)
	for i in $(libdir)/lib*.1.0.1; do ln -sf $${i##*/} $${i%.*.*}; done
	install lib/postfix-cdb.so.1.0.1 ${base}-cdb/${plibdir}
	install lib/postfix-ldap.so.1.0.1 ${base}-ldap/${plibdir}
	install lib/postfix-mysql.so.1.0.1 ${base}-mysql/${plibdir}
	install lib/postfix-pcre.so.1.0.1 ${base}-pcre/${plibdir}
	install lib/postfix-pgsql.so.1.0.1 ${base}-pgsql/${plibdir}
	install lib/postfix-sqlite.so.1.0.1 ${base}/${plibdir}
	install libexec/[a-z]* ${base}/${plibdir}/sbin
	install bin/[a-z]* ${base}/${sbindir}
	install debian/postfix-add-filter ${base}/${sbindir}
	install debian/postfix-add-policy ${base}/${sbindir}
	install auxiliary/qshape/qshape.pl ${base}/${sbindir}/qshape
	install -m 0444 HISTORY $(chlogdir)/changelog
	ln -s ../sbin/rmail $(bindir)/rmail
	ln -s ../sbin/sendmail $(bindir)/newaliases
	ln -s ../sbin/sendmail $(bindir)/mailq
	ln -s ../sbin/sendmail ${base}/usr/lib/sendmail
	ln -s smtp ${base}/${plibdir}/sbin/lmtp
	install -m 0755 conf/postfix-script conf/post-install $(confdir)
	install -m 0644 conf/postfix-files $(confdir)
	install -m 0644 debian/functions $(sharedir)/postinst.functions
	install -m 0644 conf/master.cf $(sharedir)/master.cf.dist
	install -m 0644 conf/main.cf.dist $(sharedir)/main.cf.dist
	install -m 0644 conf/main.cf.debian $(sharedir)/main.cf.debian
	install -m 0644 conf/main.cf.tls $(sharedir)/main.cf.tls
	install -m 0644 meta/dynamicmaps.cf $(sharedir)/dynamicmaps.cf
	install -m644 debian/postfix.ufw.profile debian/postfix/etc/ufw/applications.d/postfix
	install -m644 debian/rsyslog.conf debian/postfix/etc/rsyslog.d/postfix.conf
	install -m644 debian/postfix.insserv.conf debian/postfix/etc/insserv.conf.d/postfix

	install man/man1/*.1 ${base}/usr/share/man/man1
	install man/man5/*.5 ${base}/usr/share/man/man5
	for f in man/man8/*.8; do \
	  sed '/^\.TH/s/ 8 / 8postfix /' $${f}>${base}/usr/share/$${f}postfix; \
	  chmod 644 ${base}/usr/share/$${f}postfix; \
	  chown root:root ${base}/usr/share/$${f}postfix; \
	done
	install rmail/rmail.8 debian/*.8 ${base}/usr/share/man/man8
	gzip -9n ${base}/usr/share/man/man8/*.8postfix
	ln -sf bounce.8postfix.gz ${base}/usr/share/man/man8/trace.8postfix.gz
	ln -sf bounce.8postfix.gz ${base}/usr/share/man/man8/defer.8postfix.gz

	install debian/configure-instance.sh $(libdir)
	install debian/postfix-instance-generator ${base}/lib/systemd/system-generators/

## postfix 3.1.4

=== debian/changelog ===
postfix (3.1.4-4ubuntu1) zesty; urgency=medium

  * Use correct service dependencies in postfix@.service, to avoid racing
    systemd-resolved at boot.  LP: #1519331.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 03 Jun 2017 00:35:57 -0700

postfix (3.1.4-4) unstable; urgency=medium

    [Scott Kitterman]

  * Correct permissions for /etc/systemd/system/postfix.service.d/
    override.conf install in postfix.postinst.  Closes: #851521

  [localization folks]

  * l10n: Updated Czech debconf translations.  Closes: #852195 (Miroslav Kure)
  * l10n: Updated Dutch debconf translations.  Closes: #850738 (Frans
    Spiesschaert) 

 -- Scott Kitterman <scott@kitterman.com>  Wed, 25 Jan 2017 10:03:04 -0500

postfix (3.1.4-3) unstable; urgency=medium

  [LaMont Jones]

  * Use the lmtp binary for lmtp, make it a hardlink instead of a symlink. 
    Closes: #850430, #850426  LP: #1654453

  [Scott Kitterman]

  * Update multi-instance instructions to have new instances start on boot.
  * Juggle lmtp and qmgr symlinks so it builds

  [Daniel Shahaf]

  * Allow postfix variable interpolation in control scripts. (Accepted with
    changes.).  Closes: #848686

  [localization folks]

  * l10n: Updated Russian debconf translations. (Sergey Alyoshin)
  * l10n: Updated French debconf translations.  Closes: #850573 (jean-pierre
    giraud)
  * l10n: Updated Portuguese debconf translations.  Closes: #850616 (Miguel
    Figueiredo)
  * l10n: Updated Catalan debconf translations.  Closes: #850551 (Innocent De
    Marchi)
  * l10n: Updated Turkish debconf translations.  Closes: #850598 (Atila KOÇ)

 -- LaMont Jones <lamont@debian.org>  Mon, 09 Jan 2017 07:25:22 -0700

postfix (3.1.4-2) unstable; urgency=medium

  * Update postfix Suggestions.
  * Update postfix-sqlite postinst/prerm to reflect that addmap is idempotent.
  * Restore so.1.0.1 symlinks for map libraries and change how new entries are
    added.  Closes: #850400
  * Be more aggressive in retiring usage of lmtp binary.  Closes: #850430
    LP: #1654453
  * Check symlinks separately in postfix-script, to allow library symlinks. 
    This will go away once the symlinks are dropped again.

 -- LaMont Jones <lamont@debian.org>  Fri, 06 Jan 2017 08:41:36 -0700

postfix (3.1.4-1) unstable; urgency=medium

  [Wietse Venema]

  * New Upstream 3.1.4

  [Scott Kitterman]

  * For systems using systemd (and only systems using systemd) and not
    configured for local only use, add service override file to start after
    network-online.target and systemd-resolved.service to ensure the network
    is fully up and name services are available.  Closes: #822291, #836306,
    #844277  LP: #1649453
  * Remove postfix-dev: The postfix headers are not public interfaces and not
    suitable for third-party development
  * Stop setting artificial soname for postfix share libs - upstream does not
    promise any ABI stability and in Debian exact version depends keep needed
    packages in sync - Resolves most symlink related issues with postfix check
  * Do not choke on dangling symlinks in ca-certificates.  LP: #1305232
  * Stop shipping lmtp symlink and have master.cf/master.cf.proto lmtp
    services us smtp - they are the same since postfix 2.1.  Closes: #832576
  * Remove debian/*.files - no longer needed
  * Split postfix-files into postfix-files.d snippets for each postfix-*
    binary to enable postfix set-permissions to have the potential to work
    (additional file naming issues still to be resolved)
  * Install /etc/postfix/makedefs.out so users can see how the package was
    built
  * Add /etc/postfix/dynamicmaps.cf.d and postfix-files.d to directories
    shipped by postfix
  * Exclude Postfix license files from postfix-files - not needed in Debian
    since we ship the licenses in debian/copyright
  * Update debian/patches/05_debian_defaults.diff to comment out files in
    postfix-files that Debian does not ship in /etc/postfix
  * Add debian/patches/05_debian_manpage_differences.diff to align
    postfix-files to Debian man page naming/compression
  * Add debian/patches/05_debian_readme_differences.diff to align
    postfix-files to Debian README file naming/compression.  Closes: #589188 
    LP: #274108
  * Add OVERVIEW to README files shipped in postfix-doc
  * Moved install of map type so files inside the loop used to create their
    postfix-files.d snippets to simplify debian/rules
  * Added postfix.NEWS entry to describe the demise of the smtp -> lmtp symlink
  * Move man 5 *_tables man pages to their respective binary packages and add
    appropriate breaks/replaces
  * Remove ancient check for kernels before 2.6.  Closes: #794038
  * Remove service file override on purge
  * Do not attempt to use postmulti is /etc/postfix/main.cf does not exist -
    it will fail
  * Add NEWS item and documentation about how to us postfix service files. 
    Closes: #849584

  [LaMont Jones]

  * Make lmtp warning be a debconf question, instead of a NEWS item.
  * Allow libmysqlclient-dev to satisfy build-deps, to make backporting easier.
  * Better permissions for /etc/postfix/postfix-files.d, et al.
  * Default to compatibility_level=2 on fresh installs.
  * Various lint cleanup in templates.
  * re-refresh po files for neatness.
  * Various message cleanup in postinst, for consistency.

  [localization folks]

  * l10n: Updated Japanese debconf translations.  Closes: #849919 (Kenshi Muto)
  * l10n: Updated Slovak debconf translations.  Closes: #849778 (helix84)
  * l10n: Updated Basque debconf translation.  Closes: #850049 (Dooteo)
  * l10n: Updated Swedish debconf translations.  Closes: #849920 (Martin Bagge)
  * l10n: Updated Danish debconf translations.  Closes: #849964 (Joe Dalton)
  * l10n: Updated Indonesian debconf translations. (Surya Fajri)
  * l10n: Updated Brazilian Portuguese debconf translations. (Uesli)
  * l10n: Updated Brazilian Portuguese debconf translations.  Closes: #850086
    (Marcelo Santana)


=== debian/control ===
Source: postfix
Section: mail
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: LaMont Jones <lamont@debian.org>
Standards-Version: 3.9.8
Homepage: http://www.postfix.org
Build-Depends: debhelper (>= 7), po-debconf (>= 0.5.0), groff-base, patch, lsb-release, libdb-dev (>=4.6.19), libldap2-dev (>=2.1), liblmdb-dev, libpcre3-dev, default-libmysqlclient-dev | libmysqlclient-dev, libssl-dev (>=0.9.7), libsasl2-dev, libpq-dev, libcdb-dev, dpkg-dev (>= 1.16.1~), libsqlite3-dev, html2text, libicu-dev, dh-systemd
Vcs-Browser: https://git.launchpad.net/postfix
Vcs-Git: git://git.launchpad.net/postfix
Uploaders: Scott Kitterman <scott@kitterman.com>
XS-Testsuite: autopkgtest

Package: postfix
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, netbase, adduser (>=3.48), dpkg (>= 1.8.3), lsb-base (>=3.0-6), ssl-cert, cpio, postfix-sqlite
Replaces: mail-transport-agent
Recommends: python3
Suggests: procmail, postfix-mysql, postfix-pgsql, postfix-ldap, postfix-pcre, postfix-lmdb, sasl2-bin, libsasl2-modules, dovecot-common, resolvconf, postfix-cdb, mail-reader, ufw, postfix-doc
Conflicts: mail-transport-agent, smail
Provides: mail-transport-agent, ${postfix:Provides}
Description: High-performance mail transport agent
 ${Description}

Package: postfix-ldap
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, postfix (= ${binary:Version})
Replaces: postfix (<< 3.1.3-7~)
Breaks: postfix (<< 3.1.3-7~)
Description: LDAP map support for Postfix
 ${Description}
 .
 This provides support for LDAP maps in Postfix. If you plan to use LDAP maps
 with Postfix, you need this.

Package: postfix-lmdb
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, liblmdb0 (>=0.9.14), postfix (= ${binary:Version})
Replaces: postfix (<< 3.1.3-7~)
Breaks: postfix (<< 3.1.3-7~)
Description: LMDB map support for Postfix
 ${Description}
 .
 This provides support for LMDB maps in Postfix. If you plan to use LMDB maps
 with Postfix, you need this.

Package: postfix-cdb
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, postfix (= ${binary:Version})
Description: CDB map support for Postfix
 ${Description}
 .
 This provides support for CDB (constant database) maps in Postfix. If you
 plan to use CDB maps with Postfix, you need this.

Package: postfix-pcre
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, postfix (= ${binary:Version})
Replaces: postfix (<< 3.1.3-7~)
Breaks: postfix (<< 3.1.3-7~)
Description: PCRE map support for Postfix
 ${Description}
 .
 This provides support for PCRE (perl compatible regular expression) maps in
 Postfix. If you plan to use PCRE maps with Postfix, you need this.

Package: postfix-mysql
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, postfix (= ${binary:Version})
Replaces: postfix (<< 3.1.3-7~)
Breaks: postfix (<< 3.1.3-7~)
Description: MySQL map support for Postfix
 ${Description}
 .
 This provides support for MySQL maps in Postfix. If you plan to use MySQL
 maps with Postfix, you need this.

Package: postfix-pgsql
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, postfix (= ${binary:Version})
Replaces: postfix (<< 3.1.3-7~)
Breaks: postfix (<< 3.1.3-7~)
Description: PostgreSQL map support for Postfix
 ${Description}
 .
 This provides support for PostgreSQL maps in Postfix. If you plan to use
 PostgreSQL maps with Postfix, you need this.

Package: postfix-sqlite
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: postfix (= ${binary:Version})
Replaces: postfix (<< 3.1.3-7~)
Description: SQLite map support for Postfix
 ${Description}
 .
 This provides support for SQLite maps in Postfix. If you plan to use
 SQLite maps with Postfix, you need this.

Package: postfix-doc
Architecture: all
Section: doc
Suggests: postfix
Depends: ${misc:Depends}
Description: Documentation for Postfix
 ${Description}
 .
 This package provides the documentation for Postfix.
